Bug 993331 (CVE-2013-4185) - CVE-2013-4185 OpenStack: Nova network source security groups denial of service
Summary: CVE-2013-4185 OpenStack: Nova network source security groups denial of service
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-4185
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 993333 993334 994816 994817 995297
Blocks: 993335
TreeView+ depends on / blocked
 
Reported: 2013-08-05 19:58 UTC by Kurt Seifried
Modified: 2021-10-20 10:40 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-20 10:40:17 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:1199 0 normal SHIPPED_LIVE Moderate: openstack-nova security and bug fix update 2013-09-04 00:16:56 UTC

Description Kurt Seifried 2013-08-05 19:58:04 UTC
Jeremy Stanley (jeremy@openstack.org) reports: 

Title: Denial of Service in Nova network source security groups
Reporter: Vishvananda Ishaya (Nebula)
Products: Nova
Affects: All versions

Vishvananda Ishaya from Nebula reported a denial of service
vulnerability in Nova's handling of network source security group
policy updates. By performing a large number of server creation
operations, the proportion of updates increases quadratically and
may overwhelm nova-network such that it is no longer able to service
other requests in a timely fashion. Only setups relying on
nova-network are affected.

Havana (development branch) fix:
https://review.openstack.org/39541

Grizzly fix:
https://review.openstack.org/39543

Folsom fix:
https://review.openstack.org/39544

Notes:
This fix will be included in the 2013.2.b3 development milestone and
in a future 2013.1.3 release.

Comment 3 Vincent Danen 2013-08-06 20:44:56 UTC
This is now public:

http://seclists.org/oss-sec/2013/q3/282

Comment 4 Kurt Seifried 2013-08-08 04:50:27 UTC
Created openstack-nova tracking bugs for this issue:

Affects: fedora-all [bug 994816]
Affects: epel-6 [bug 994817]

Comment 6 Murray McAllister 2013-09-03 04:42:34 UTC
Acknowledgements:

Red Hat would like to thank the OpenStack project for reporting this
issue. Upstream acknowledges Vishvananda Ishaya from Nebula as the original
reporter.

Comment 7 errata-xmlrpc 2013-09-03 20:20:31 UTC
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1199 https://rhn.redhat.com/errata/RHSA-2013-1199.html


Note You need to log in before you can comment on or make changes to this bug.